Approval Requests
The approval requests resource.
Basehttps://rest.carbon.ms/approvalRequests
GET
/approvalRequestsList approval requestss
Retrieve a paginated list of approval requestss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/approvalRequests
curl --request GET \
--url 'https://rest.carbon.ms/approvalRequests?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"status": "string",
"requestedBy": "string",
"requestedAt": "2026-01-01T00:00:00Z",
"decisionBy": "string"
}
]GET
/approvalRequestsRetrieve a approval requests
Fetch a single approval requests by filtering on `id`.
Query parameters
idstringMatch on the approval requests's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/approvalRequests
curl --request GET \
--url 'https://rest.carbon.ms/approvalRequests?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"documentType": "string",
"documentId": "xyz789",
"status": "string",
"requestedBy": "string",
"requestedAt": "2026-01-01T00:00:00Z",
"decisionBy": "string"
}